/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.planning.tactical;

import java.awt.event.ActionEvent;
import java.beans.IntrospectionException;
import javax.swing.AbstractAction;
import javax.swing.Action;
import nl.cloudfarming.client.model.Culture;
import nl.cloudfarming.client.planning.wizard.PlanningWizardAction;
import org.openide.nodes.BeanNode;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;
import org.openide.util.lookup.Lookups;

/**
 *
 * @author Timon Veenstra
 */
public class CultureNode extends BeanNode<Culture>{

    public CultureNode(Culture culture) throws IntrospectionException {
        super(culture,Children.LEAF,Lookups.fixed(culture));
    }

     @Override
    public Action[] getActions(boolean context) {
        return new Action[]{new PlanningWizardAction()};
    }
     
     
     /**
      * Action to open the actionViewer window. In this window the actions which are planned on a culture are displayed.
      */
     public class openActionViewerAction extends AbstractAction {
         
        public openActionViewerAction() {
            super(NbBundle.getMessage(openActionViewerAction.class, "actionviewertopcomponent.open.viewer.action.title"));
        }

        @Override
        public void actionPerformed(ActionEvent e) {
            ActionViewerTopcomponent actionViewerTopcomponent = ActionViewerTopcomponent.findInstance();
            if (null != actionViewerTopcomponent) {
                actionViewerTopcomponent.updateTable();
                actionViewerTopcomponent.open();
            }
        }
    }
    
}
