/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.planning.tactical;

import java.beans.IntrospectionException;
import javax.swing.Action;
import nl.cloudfarming.client.geoviewer.LayerNode;
import nl.cloudfarming.client.model.DataProvider;
import nl.cloudfarming.client.model.FieldPlan;
import org.openide.nodes.Children;
import org.openide.util.lookup.Lookups;

/**
 *
 * @author Timon Veenstra
 */
public class FieldPlanNode extends LayerNode{


    public FieldPlanNode(FieldPlan fieldPlan, DataProvider dataProvider) throws IntrospectionException {
        super(new FieldPlanLayer(fieldPlan,dataProvider),Children.create(new CultureNodeFactory(fieldPlan),true),Lookups.fixed(fieldPlan));
    }

    @Override
    public Action[] getActions(boolean context) {
        return new Action[]{new PlanCultureAction()};
    }

}
