/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.planning.wizard;

import java.util.Date;
import javax.swing.JLabel;
import javax.swing.JPanel;
import net.miginfocom.swing.MigLayout;
import org.jdesktop.swingx.JXDatePicker;
import org.openide.util.NbBundle;

public final class PlanningVisualPanel1 extends JPanel {
    private JLabel planDateLabel;
    private JXDatePicker planDate;
    
    
    /** Creates new form PlanningVisualPanel1 */
    public PlanningVisualPanel1() {
        initComponents();       
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(this.getClass(), "planning.wizard.title.panel1");
    }
    
    public Date getPlanDate(){
        return planDate.getDate();
    }
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    
    private void initComponents() {
        setLayout(new MigLayout("wrap 2"));
        planDateLabel = new JLabel(NbBundle.getMessage(this.getClass(), "planning.wizard.panel1.label.startdate"));
        
        this.add(planDateLabel);
        planDate = new JXDatePicker();
        this.add(planDate);
        
    }
}
