/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.planning.wizard;

import javax.swing.JLabel;
import javax.swing.JPanel;
import net.miginfocom.swing.MigLayout;
import org.openide.util.NbBundle;

public final class PlanningVisualPanel3 extends JPanel {
    private javax.swing.JLabel agentTextLabel;
    private javax.swing.JLabel agentsLabel;
    private javax.swing.JLabel confirmationText;
    private javax.swing.JLabel planDateLabel;
    private javax.swing.JLabel planDateTextLabel;
    
    /** Creates new form PlanningVisualPanel3 */
    public PlanningVisualPanel3() {
        initComponents();
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(this.getClass(), "planning.wizard.title.panel3");
    }

    private void initComponents() {
        setLayout(new MigLayout("wrap 1"));
        confirmationText = new javax.swing.JLabel();
        agentTextLabel = new javax.swing.JLabel();
        agentsLabel = new javax.swing.JLabel();
        planDateTextLabel = new javax.swing.JLabel();
        planDateLabel = new javax.swing.JLabel();

        confirmationText.setText(NbBundle.getMessage(PlanningVisualPanel3.class, "PlanningVisualPanel3.confirmationText.text"));
        agentTextLabel.setText(NbBundle.getMessage(PlanningVisualPanel3.class, "PlanningVisualPanel3.agentTextLabel.text"));
        agentsLabel.setText(NbBundle.getMessage(PlanningVisualPanel3.class, "PlanningVisualPanel3.agentTextLabel.text"));
        planDateTextLabel.setText(NbBundle.getMessage(PlanningVisualPanel3.class, "PlanningVisualPanel3.planDateTextLabel.text"));
        planDateLabel.setText(NbBundle.getMessage(PlanningVisualPanel3.class, "PlanningVisualPanel3.planDateLabel.text"));


        this.add(confirmationText);
        this.add(planDateTextLabel);
        this.add(planDateLabel);
        this.add(agentTextLabel);
        this.add(agentsLabel);

    }

    public JLabel getPlanDateLabel() {
        return planDateLabel;
    }

    public JLabel getAgentsLabel() {
        return agentsLabel;
    }

    public JLabel getAgentTextLabel() {
        return agentTextLabel;
    }
}
